{
  "schema_version": "1.4.0",
  "id": "GHSA-9qg2-923p-qj4p",
  "modified": "2022-05-14T02:45:26Z",
  "published": "2022-05-14T02:45:26Z",
  "aliases": [
    "CVE-2010-1509"
  ],
  "details": "IrfanView before 4.27 does not properly handle an unspecified integer variable during processing of PSD images, which allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted image file that triggers a heap-based buffer overflow, related to a \"sign-extension error.\"",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-1509"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/58548"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6705"
    },
    {
      "type": "WEB",
      "url": "http://irfanview.com/main_history.htm"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/64627"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39036"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2010-41"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/511274/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/40104"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-05-14T19:30:00Z"
  }
}